> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumisreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List video schedules

> The workspace's posting schedules (Dashboard → Create Video → Schedules), newest first, with when each next runs and about what each video costs. Free.



## OpenAPI

````yaml /openapi.json get /v1/video-schedules
openapi: 3.1.0
info:
  title: LumisReach v1 API
  version: 1.0.0
  description: >-
    Programmatic access to the LumisReach voice platform — calls, numbers,
    caller trust, and brands.
  contact:
    name: LumisReach
    email: founders@lumisreach.com
servers:
  - url: https://api.lumisreach.com/api
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Billing
  - name: Conversation History
  - name: Documents
  - name: Lincoln AI
  - name: Quick Agent Actions
  - name: Sub-entities
  - name: Video schedules
  - name: Videos
paths:
  /v1/video-schedules:
    get:
      tags:
        - Video schedules
      summary: List video schedules
      description: >-
        The workspace's posting schedules (Dashboard → Create Video →
        Schedules), newest first, with when each next runs and about what each
        video costs. Free.
      operationId: v1_video_schedules_get
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        status:
                          type: string
                          enum:
                            - active
                            - paused
                            - completed
                          description: '`completed` once it ran through `ends_on`'
                        cadence:
                          type: string
                          description: In words, e.g. "2 videos every Mon, Wed, Fri at 9am"
                        videos_per_day:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        days_of_week:
                          type: array
                          items:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                        post_hour:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        time_zone:
                          type: string
                        starts_on:
                          type: string
                        ends_on:
                          type:
                            - string
                            - 'null'
                        skip_dates:
                          type: array
                          items:
                            type: string
                        notify_hours_before:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        notify_by_email:
                          type: boolean
                        connection_ids:
                          type: array
                          items:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        caption:
                          type:
                            - string
                            - 'null'
                        direction:
                          type:
                            - string
                            - 'null'
                        allowed_templates:
                          type: array
                          items:
                            type: string
                        video_settings:
                          anyOf:
                            - type: object
                              properties:
                                format:
                                  type: string
                                  enum:
                                    - vertical
                                    - horizontal
                                target_duration_seconds:
                                  type: number
                                  enum:
                                    - 10
                                    - 15
                                    - 20
                                    - 30
                                    - 45
                                    - 60
                                    - 120
                                    - 180
                                    - 300
                                source_url:
                                  type: string
                                  format: uri
                                source_text:
                                  type: string
                                  minLength: 1
                                  maxLength: 5000
                                preset:
                                  type: string
                                avatar_provider:
                                  type: string
                                  enum:
                                    - heygen
                                    - tavus
                                    - elevenlabs
                                avatar_layout:
                                  type: string
                                  enum:
                                    - center
                                    - bubble_bottom_left
                                    - bubble_bottom_right
                                avatar_id:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                replica_id:
                                  type: string
                                  minLength: 1
                                  maxLength: 100
                                voice_id:
                                  type: string
                                  minLength: 1
                                  maxLength: 100
                                video_model:
                                  type: string
                                subtitle_style:
                                  type: string
                                  enum:
                                    - none
                                    - classic
                                    - boxed
                                    - bold_words
                                subtitle_position:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - top
                                        - middle
                                        - bottom
                                    - type: 'null'
                                subtitle_size:
                                  type: string
                                  enum:
                                    - small
                                    - medium
                                    - large
                              additionalProperties: false
                            - type: 'null'
                        source_video_id:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        next_run:
                          anyOf:
                            - type: object
                              properties:
                                day:
                                  type: string
                                post_at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                                plan_at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                                  description: When that day's videos are planned and made
                              required:
                                - day
                                - post_at
                                - plan_at
                              additionalProperties: false
                            - type: 'null'
                        last_run_on:
                          type:
                            - string
                            - 'null'
                        last_error:
                          type:
                            - string
                            - 'null'
                        estimated_price_cents_per_video:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          description: >-
                            About what each video costs. Each one is charged
                            when its script is approved, like any other video.
                        estimate_depends_on_template:
                          type: boolean
                          description: >-
                            True when the director picks the template per video,
                            so the real price can differ
                        created_at:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                      required:
                        - id
                        - name
                        - status
                        - cadence
                        - videos_per_day
                        - days_of_week
                        - post_hour
                        - time_zone
                        - starts_on
                        - ends_on
                        - skip_dates
                        - notify_hours_before
                        - notify_by_email
                        - connection_ids
                        - caption
                        - direction
                        - allowed_templates
                        - video_settings
                        - source_video_id
                        - next_run
                        - last_run_on
                        - last_error
                        - estimated_price_cents_per_video
                        - estimate_depends_on_template
                        - created_at
                      additionalProperties: false
                  meta:
                    type: object
                    properties:
                      cursor:
                        type: string
                      page_size:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - page_size
                    additionalProperties: false
                required:
                  - data
                  - meta
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````